unit nduWinIoCtl;

interface

function CTL_CODE(DeviceType, aFunction, Method, Access: integer): integer;


// Define the method codes for how buffers are passed for I/O and FS controls


const
  NDU_METHOD_OUT_DIRECT = 2;

  NDU_FILE_ANY_ACCESS = 0;

  NDU_FILE_DEVICE_PHYSICAL_NETCARD = $00000017;

implementation

function CTL_CODE(DeviceType, aFunction, Method, Access: integer): integer;
begin
  Result := (DeviceType shl 16) or (Access shl 14) or (aFunction shl 2) or Method;
end;

end.
